/*
 * $Id: ruby_config.h,v 1.10 2001/06/22 03:18:26 shugo Exp $
 * Copyright (C) 2000  ZetaBITS, Inc.
 * Copyright (C) 2000  Information-technology Promotion Agency, Japan
 * Copyright (C) 2000  Shugo Maeda <shugo@modruby.net>
 *
 * Author: Shugo Maeda <shugo@modruby.net>
 *
 * This file is part of mod_ruby.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA.
 */

#ifndef RUBY_CONFIG_H
#define RUBY_CONFIG_H

void *ruby_create_server_config(pool*, server_rec*);
void *ruby_merge_dir_config(pool*, void*, void*);
void *ruby_create_dir_config (pool*, char*);
const char *ruby_cmd_kanji_code(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_add_path(cmd_parms*, void*, char*);
const char *ruby_cmd_require(cmd_parms*, void*, char*);
const char *ruby_cmd_pass_env(cmd_parms*, void*, char*);
const char *ruby_cmd_set_env(cmd_parms*, ruby_dir_config*, char*, char*);
const char *ruby_cmd_timeout(cmd_parms*, void*, char*);
const char *ruby_cmd_safe_level(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_trans_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_authen_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_authz_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_access_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_type_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_fixup_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_log_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_header_parser_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_post_read_request_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_init_handler(cmd_parms*, ruby_dir_config*, char*);
const char *ruby_cmd_cleanup_handler(cmd_parms*, ruby_dir_config*, char*);

#endif /* !RUBY_CONFIG_H */

/*
 * Local variables:
 * mode: C
 * tab-width: 8
 * End:
 */
